import { TemplateResult } from 'lit';
import { RadioBase } from '@material/mwc-radio/mwc-radio-base';
declare global {
    interface HTMLElementTagNameMap {
        'cv-icon-radio-item': CovalentIconRadioToggle;
    }
}
export declare class CovalentIconRadioToggle extends RadioBase {
    static styles: import("lit").CSSResult[];
    iconOnly: boolean;
    protected renderRipple(): TemplateResult | string;
}
export default CovalentIconRadioToggle;
